## console-setup 1.68

=== debian/changelog ===
console-setup (1.68) unstable; urgency=high

  * Fix el.po, it had question marks instead of non-ascii characters
    (closes: #609624)
  * Restore fa.po, he.po, zh_TW.po, same issue.
  * Revert latest update to pa.po, same issue.
  * Revert most of the last update to is.po, same issue.

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 Jan 2011 13:10:38 +0100

console-setup (1.67) unstable; urgency=low

  [ Anton Zinoviev ]
  * ckbcomp: process properly %(v) and %_v.  Interpret Henkan, Hiragana,
    Hiragana_Katakana, Muhenkan and some XF86... symbols as VoidSymbol.
    Thanks to Sebastian Reichel, closes: #608227.

  [ Christian Perrier ]
  * Remove debconf-2.0 alternative from Pre-Depends.
    Really Closes: #604153

 -- Christian Perrier <bubulle@debian.org>  Fri, 31 Dec 2010 19:55:24 +0100

console-setup (1.66) unstable; urgency=low

  [ Samuel Thibault ] 
  * Fix keyboard-configuration.templates translations: the template doesn't
    have useless latin[1245]/nodeadkeys/etc. qualifiers any more.

 -- Christian Perrier <bubulle@debian.org>  Wed, 29 Dec 2010 18:26:06 +0100

console-setup (1.65) unstable; urgency=low

  [ Samuel Thibault ]
  * Fix fr-latin8 typo introduced in 1.64.

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Dec 2010 20:46:39 +0100

console-setup (1.64) unstable; urgency=low

  * Use "fi" for Finnish keymap in the udeb instead of invalid "fi(fi)"
    Closes: #606840

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Dec 2010 18:06:51 +0100

console-setup (1.63) unstable; urgency=low

  [ Debconf translations ]
  * Polish (Marcin Owsiany).  Closes: #604180
  * Reinstate Serbian (Latin) debconf translation after fixing
    the pre-dependency on debconf (>= 1.5.34)
  * Marathi (Sampada). 
  * Panjabi (A S Alam).
  * Korean (Changwoo Ryu). Closes: #604258
  * Traditional Chinese (Tetralet).
  * Bengali (Israt Jahan).
  * Belarusian (Viktar Siarheichyk).  Closes: #604788
  * Croatian (Josip Rodin). 
  * Italian (Milo Casagrande).  Closes: #604920
  * Swedish (1 fuzzy unfuzzied by Christian Perrier)

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Dec 2010 19:05:11 +0100

console-setup (1.61) unstable; urgency=low

  * Polish (Marcin Owsiany).  Closes: #604097
  * Asturian (maacub).
  * Basque (Iñaki Larrañaga Murgoitio).
  * Greek (Emmanuel Galatoulas).  Closes: #604145
  * Traditional Chinese (Tetralet).  Closes: #604148
  * Serbian (Latin) translation dropped as not properly handled
    by debconf. Closes: #604153

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Nov 2010 20:05:50 +0100

console-setup (1.60) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/keyboard-configuration.templates: Fix typo in bg(bds) keymap name,
    making it not working. Rename Bulgarian into Bulgarian (phonetic layout),
    rename Bulgarian (BDS layout) into Bulgarian. Fix translations
    accordingly.
  * debian/keyboard-configuration.config: For Bulgary, use the BDS layout by
    default, as this is what non-technical people usually know.

  [ Christian Perrier ]
  * Romanian (Andrei POPESCU).  Closes: #603716
  * Galician (Jorge Barreiro).  Closes: #603636
  * Dutch (Eric Spreen).  Closes: #603756
  * Thai (Theppitak Karoonboonyanan).  Closes: #603664
  * Khmer (Khoem Sokhem).
  * Irish (Kevin Scannell).  Closes: #603833
  * Tamil (Dr.T.Vasudevan). 
  * Hungarian (SZERVÁC Attila). 
  * Latvian (Aigars Mahinovs). 
  * Ukrainian (Borys Yanovych).  Closes: #603863
  * Indonesian (Arief S Fitrianto).  Closes: #603879
  * Punjabi.
  * Kurdish (Amed Çeko Jiyan).
  * Swedish (Daniel Nylander). 
  * Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).  Closes: #603977
  * Basque (Iñaki Larrañaga Murgoitio). 
  * Asturian (ivarela). 

 -- Otavio Salvador <otavio@debian.org>  Fri, 19 Nov 2010 19:33:54 -0200

console-setup (1.59) unstable; urgency=low

  * Team upload

  [ Christian Perrier ]
  * Activate keyboard-configuration.templates for translation.
    Re-use old translations we had in the past. Thanks to
    Samuel Thibault for the help. Closes: #581683

  [ Anton Zinoviev]
  * Fix the code detecting the presence of a hardware keyboard.  Thanks to
    Thibaut GIRKA for the patch, closes: #602425.
  * keyboard-configuration.config: default keyboard layout for Sinhala language

  [ Debconf translations ]
  * French (Christian Perrier)
  * Simplified Chinese (YunQiang Su).  Closes: #603072
  * Portuguese (Miguel Figueiredo).  Closes: #603071
  * Russian (Yuri Kozlov).  Closes: #603073
  * Catalan (Jordi Mallach).  Closes: #603086
  * Greek (Lampropoulos Anastasios).
  * Slovak (Ivan Masár).  Closes: #603108
  * Spanish (Javier Fernández-Sanguino).  Closes: #603120
  * Icelandic (Sveinn í Felli).
  * Bulgarian (Damyan Ivanov).  Closes: #603149
  * Japanese (Kenshi Muto).  Closes: #603154
  * Bosnian (Armin Beširović).
  * Finnish (Esko Arajärvi).  Closes: #603200
  * Esperanto (Felipe Castro).  Closes: #603226
  * Gujarati (Kartik Mistry).  Closes: #603238
  * Hindi (Kumar Appaiah).  Closes: #603098
  * Estonian (Mattias Põldaru).
  * Dzongkha (Jurmey Rabgay).
  * Persian (Behrad Eslamifar).  Closes: #603312
  * Danish (Ask Hjorth Larsen).  Closes: #603365
  * German (Holger Wansing).  Closes: #603404
  * Czech (Miroslav Kure).  Closes: #603449
  * Serbian (Janos Guljas).  Closes: #603497
  * Serbian (Latin) (Janos Guljas).  Closes: #603498
  * Arabic (Ossama Khayat).  Closes: #603519, #603520
  * Turkish (Mert Dirik).  Closes: #603522
  * Bengali (Israt Jahan). 
  * Kazakh (Baurzhan Muftakhidinov).  Closes: #603539
  * Bokmål, Norwegian (Hans Fredrik Nordhaug).  Closes: #603576
  * Slovenian (Vanja Cvelbar).  Closes: #603689
  * Macedonian (Georgi Stanojevski).

  [ Samuel Thibault ]
  * Keyboard/kbdcompiler: Add np to nonlatin layouts.
  * debian/keyboard-configuration.templates: Add simplified
    keyboard-configuration/xkb-keymap question (Closes: #581683).
  * debian/keyboard-configuration.config:


## console-setup 1.68+squeeze2

=== Keyboard/Makefile ===
SHELL = /bin/sh

build : compose_files gziped_acmfiles KeyboardNames.pl MyKeyboardNames.pl

models = amiga ataritt macintosh_old pc105 sun4 sun5

gziped_ekmaps =  $(addsuffix .ekmap.gz, $(models))

build-mini : $(gziped_ekmaps)

%.gz : %
	gzip -9 <$< >$@

%.ekmap : MyKeyboardNames.pl
	./kbdcompiler $(@:%.ekmap=%) MyKeyboardNames.pl $(xkbdir) >$@

acmfiles = $(wildcard acm/*.acm)

gziped_acmfiles = $(addsuffix .gz, $(acmfiles))

gziped_acmfiles : $(gziped_acmfiles)

charmaps = $(basename $(notdir $(acmfiles)))

compose_files = $(addprefix compose.,$(addsuffix .inc, $(charmaps)))

$(compose_files): charmap = $(patsubst compose.%.inc,%, $@)

VISCII-XCOMPOSE = locale/vi_VN.viscii/Compose
ISO-8859-1-XCOMPOSE = locale/iso8859-1/Compose
ISO-8859-2-XCOMPOSE = locale/iso8859-2/Compose
ISO-8859-3-XCOMPOSE = locale/iso8859-3/Compose
ISO-8859-4-XCOMPOSE = locale/iso8859-4/Compose
ISO-8859-7-XCOMPOSE = locale/iso8859-7/Compose
ISO-8859-9-XCOMPOSE = locale/iso8859-9/Compose
ISO-8859-13-XCOMPOSE = locale/iso8859-13/Compose
ISO-8859-14-XCOMPOSE = locale/iso8859-14/Compose
ISO-8859-15-XCOMPOSE = locale/iso8859-15/Compose


$(compose_files) :
	echo '# Compose sequences for $(charmap)' >$@
	$(if $($(charmap)-XCOMPOSE), \
		./compose_translator --acm acm/$(charmap).acm \
				     $($(charmap)-XCOMPOSE) >>$@)

compose_files : $(compose_files)


.PHONY: clean
clean:
	-rm -f *~
	-rm -f acm/*.acm.gz
	-rm -rf compose $(compose_files)
	-rm -rf keymaps
	-rm -f keymaps.dir names.list
	-rm -f $(gziped_ekmaps)
	-rm -f MyKeyboardNames.pl

.PHONY: maintainer-clean
maintainer-clean: clean
	./xmlreader >KeyboardNames.pl

KeyboardNames.pl:
	./xmlreader >KeyboardNames.pl

MyKeyboardNames.pl:
	./xmlreader $(xkbdir)/rules/xorg.xml >MyKeyboardNames.pl

=== debian/changelog ===
console-setup (1.68+squeeze2) squeeze; urgency=low

  * No-changes upload to get rid of the .git directory in the source package.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Mar 2011 11:36:45 +0100

console-setup (1.68+squeeze1) squeeze; urgency=low

  [ Samuel Thibault ]
  * Use bg, ch, se instead of bg(bds), ch(de), se(basic), as those are not in
    xorg.xml any more (closes: #610843).

 -- Otavio Salvador <otavio@debian.org>  Fri, 11 Mar 2011 19:21:55 -0300

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 1.6), locales-all
Build-Depends: debhelper (>= 7), po-debconf, bdfresize
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup

Package: keyboard-configuration
Section: utils
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: debconf (>= 1.5.34)
Conflicts: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Section: utils
Architecture: all
Recommends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16)
Pre-Depends: debconf (>= 1.5.34)
Depends: console-terminus (>= 4.26), xkb-data (>= 0.9), keyboard-configuration, ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the Linux console with the same
 keyboard configuration scheme as the X Window System. As a result,
 there is no need to duplicate or change the keyboard files just to
 make simple customizations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0, keyboard-configuration, ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version
 This package provides the Linux console with the same
 keyboard configuration scheme as the X Window System. As a result,
 there is no need to duplicate or change the keyboard files just to
 make simple customizations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides a unified set of font faces - the
 classic VGA, the simplistic Fixed, and the clean Terminus,
 TerminusBold, and TerminusBoldVGA.
 .
 This package can be useful for
 handhelds or other devices with small storage space.
 .
 The package supports only UTF-8. Legacy 8-bit encodings are not
 supported.

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: console-setup-ekmap, archdetect, cdebconf-udeb, kbd-udeb, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 This is an experimental replacement of kbd-chooser.
XC-Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Atari TT keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for old-style Macintosh keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for PC keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: console fonts for Debian Installer
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir
pre = debian/preprocessor

main_build:
	$(MAKE) xkbdir=$(xkbdir)
	cd Keyboard && $(MAKE) build-mini xkbdir=$(xkbdir)
	touch main_build

debian/kbdnames.gz: main_build
	( cd Keyboard \
	&& ./kbdnames-maker MyKeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9 ) >$@

build: main_build debian/kbdnames.gz

.PHONY : clean
clean:
	dh_testdir
	debconf-updatepo
	$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-configuration install-main install-mini install-bdf2psf install-udeb

.PHONY : install-configuration
install-configuration: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	install -d debian/keyboard-configuration/usr/share/console-setup/
	cp config.kbd debian/keyboard-configuration/usr/share/console-setup/keyboard
	dh_link -pkeyboard-configuration usr/share/console-setup/keyboard usr/share/doc/keyboard-configuration/examples/keyboard
	dh_installinit --no-start --name keyboard-setup -- start 06 S .
	dh_installinit --no-start --name console-setup -- start 49 S .
	rm -rf `find debian/keyboard-configuration -name .cvsignore`
	rm -rf `find debian/keyboard-configuration -name .svn`

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pconsole-setup
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
	rm -rf debian/console-setup/etc/console-setup/ckb/

	install -d debian/keyboard-configuration/usr/share/console-setup/
	rm debian/console-setup/etc/default/keyboard
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	dh_link -pconsole-setup usr/share/console-setup/console-setup \
		 usr/share/doc/console-setup/examples/console-setup
	install -d debian/console-setup/usr/share/lintian/overrides
	install -m 644 debian/lintian.overrides \
		debian/console-setup/usr/share/lintian/overrides/console-setup
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`

.PHONY : install-mini
install-mini: build
	dh_testdir
	dh_testroot
	dh_prep -pconsole-setup-mini
	dh_installdirs -p console-setup-mini etc/default
	dh_installdirs -p console-setup-mini etc/console-setup/
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini bin
	dh_link -pconsole-setup-mini bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	$(pre) --mini debian/console-setup-mini/bin/setupcon
	$(pre) --mini debian/console-setup-mini/bin/ckbcomp-mini
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_prep -pconsole-setup-amiga-ekmap
	dh_prep -pconsole-setup-ataritt-ekmap
	dh_prep -pconsole-setup-macintoshold-ekmap
	dh_prep -pconsole-setup-pc-ekmap
	dh_prep -pconsole-setup-sun4-ekmap
	dh_prep -pconsole-setup-sun5-ekmap
	dh_prep -pconsole-setup-fonts-udeb
	dh_prep -pconsole-setup-udeb
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
	rm -rf `find debian/console-setup-amiga-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-amiga-ekmap -name .svn`
	rm -rf `find debian/console-setup-ataritt-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-ataritt-ekmap -name .svn`
	rm -rf `find debian/console-setup-macintoshold-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-macintoshold-ekmap -name .svn`
	rm -rf `find debian/console-setup-pc-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-pc-ekmap -name .svn`
	rm -rf `find debian/console-setup-sun4-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-sun4-ekmap -name .svn`
	rm -rf `find debian/console-setup-sun5-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-sun5-ekmap -name .svn`
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Armenian-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrAsia-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrKoi-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrSlav-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Ethiopian-Goha16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Georgian-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Greek-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Hebrew-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lao-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat15-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat2-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf \
		usr/share/consolefonts

## console-setup 1.70

=== debian/changelog ===
console-setup (1.70) unstable; urgency=low

  * ckbcomp: permit '_' in all identifiers.  Thanks to Jonny, Javier
    Vasquez and Eric Valette.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 24 Feb 2011 18:31:21 +0200

console-setup (1.69) unstable; urgency=low

  [ Joey Hess ]
  * rules: Remove obsolete commands to clean up when building from cvs, and
    svn. (Now in git; pollution of subdirs should no longer be an issue.)

  [ Samuel Thibault ]
  * Use bg, ch, se instead of bg(bds), ch(de), se(basic), as those are not in
    xorg.xml any more (closes: #610843).
  * config: Use the braille font name from the console-braille package.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Feb 2011 22:54:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 1.6), locales-all
 Build-Depends: debhelper (>= 7), po-debconf, bdfresize
 Standards-Version: 3.8.3
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
+Vcs-Browser: http://git.debian.org/?p=d-i/console-setup.git
+Vcs-Git: git://git.debian.org/d-i/console-setup.git
 
 Package: keyboard-configuration
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,6 @@
 	dh_link -pkeyboard-configuration usr/share/console-setup/keyboard usr/share/doc/keyboard-configuration/examples/keyboard
 	dh_installinit --no-start --name keyboard-setup -- start 06 S .
 	dh_installinit --no-start --name console-setup -- start 49 S .
-	rm -rf `find debian/keyboard-configuration -name .cvsignore`
-	rm -rf `find debian/keyboard-configuration -name .svn`
 
 .PHONY : install-main
 install-main: build
@@ -63,8 +61,6 @@
 	install -d debian/console-setup/usr/share/lintian/overrides
 	install -m 644 debian/lintian.overrides \
 		debian/console-setup/usr/share/lintian/overrides/console-setup
-	rm -rf `find debian/console-setup -name .cvsignore`
-	rm -rf `find debian/console-setup -name .svn`
 
 .PHONY : install-mini
 install-mini: build
@@ -118,8 +114,6 @@
 	dh_install -pconsole-setup-mini setupcon bin
 	$(pre) --mini debian/console-setup-mini/bin/setupcon
 	$(pre) --mini debian/console-setup-mini/bin/ckbcomp-mini
-	rm -rf `find debian/console-setup-mini -name .cvsignore`
-	rm -rf `find debian/console-setup-mini -name .svn`
 
 .PHONY : install-bdf2psf
 install-bdf2psf: build
@@ -129,8 +123,6 @@
 	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
 	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
 		Fonts/fontsets usr/share/bdf2psf
-	rm -rf `find debian/bdf2psf -name .cvsignore`
-	rm -rf `find debian/bdf2psf -name .svn`
 
 .PHONY : install-udeb
 install-udeb: build
@@ -157,18 +149,6 @@
 		usr/share/console-setup-mini
 	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
 		usr/share/console-setup-mini
-	rm -rf `find debian/console-setup-amiga-ekmap -name .cvsignore`
-	rm -rf `find debian/console-setup-amiga-ekmap -name .svn`
-	rm -rf `find debian/console-setup-ataritt-ekmap -name .cvsignore`
-	rm -rf `find debian/console-setup-ataritt-ekmap -name .svn`
-	rm -rf `find debian/console-setup-macintoshold-ekmap -name .cvsignore`
-	rm -rf `find debian/console-setup-macintoshold-ekmap -name .svn`
-	rm -rf `find debian/console-setup-pc-ekmap -name .cvsignore`
-	rm -rf `find debian/console-setup-pc-ekmap -name .svn`
-	rm -rf `find debian/console-setup-sun4-ekmap -name .cvsignore`
-	rm -rf `find debian/console-setup-sun4-ekmap -name .svn`
-	rm -rf `find debian/console-setup-sun5-ekmap -name .cvsignore`
-	rm -rf `find debian/console-setup-sun5-ekmap -name .svn`
 # console-setup-fonts-udeb
 	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf \
 		usr/share/consolefonts
@@ -200,3 +180,24 @@
 		usr/share/consolefonts
 	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf \
 		usr/share/consolefonts
+	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf \
+		usr/share/consolefonts
+	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf \
+		usr/share/consolefonts
+	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf \
+		usr/share/consolefonts
+	dh_install -pconsole-setup-fonts-udeb Fonts/Vietnamese-Fixed16.psf \
+		usr/share/consolefonts
+# console-setup-udeb
+	dh_install -pconsole-setup-udeb Keyboard/ckbcomp-mini bin
+	dh_link -pconsole-setup-udeb bin/ckbcomp-mini usr/bin/ckbcomp
+	dh_install -pconsole-setup-udeb setupcon bin
+	dh_installdirs -p console-setup-udeb usr/share/console-setup-mini
+	install -m0755  debian/keyboard-configuration.config \
+		debian/console-setup-udeb/usr/share/console-setup-mini
+	chmod a+x debian/console-setup-udeb/usr/share/console-setup-mini/keyboard-configuration.config
+	dh_install -p console-setup-udeb debian/kbdnames.gz usr/share/console-setup-mini
+	dh_installdirs -p console-setup-udeb lib/debian-installer.d
+	install -m0644 debian/console-setup-udeb.startup \
+		debian/console-setup-udeb/lib/debian-installer.d/S55console-setup
+	dh_installdirs -p console-setup-udeb usr/lib/base-installer.d

## console-setup 1.70ubuntu8

=== Fonts/Makefile ===
SHELL = /bin/sh

build : gziped_good_psf_fonts

%.gz : %
	gzip -9 <$< >$@

# All available non-legacy font faces
FACES = Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus22x11 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold22x11 TerminusBold24x12 TerminusBold28x14 \
	TerminusBold32x16 TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES = VGA8 VGA10 VGA12 VGA14 VGA16 VGA19 VGA28x16 VGA32x16

ALL_FACES = $(FACES) $(LEGACY_FACES)

all-CODESETS = Arabic Armenian CyrAsia CyrKoi CyrSlav Ethiopian Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai Uni1 Uni2 Uni3 Vietnamese

Fixed13-BDFS = 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS = georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS = 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS = georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS = 9x18.bdf
Fixed24x12-BDFS = h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS = 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS = h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS = 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS = h16_b.bdf
FixedBold18-BDFS = 9x18B.bdf
FixedBold24x12-BDFS = h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS = 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus22x11-BDFS = ter-u22n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold22x11-BDFS = ter-u22b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

Courier13-BDFS = 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS = 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS = 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS = 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS = 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS = 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS = 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS = 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS = 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS = 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS = 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS = 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS = 100dpi-lutRS19.bdf

LucidBold11-BDFS = 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS = 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS = 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS = 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS = 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS = 100dpi-lutBS19.bdf

Goha12-BDFS = Goha12.bdf
Goha14-BDFS = Goha14.bdf
Goha16-BDFS = Goha16.bdf

GohaClassic12-BDFS = GohaClassic12.bdf
GohaClassic14-BDFS = GohaClassic14.bdf
GohaClassic16-BDFS = GohaClassic16.bdf

###################################################################

VGA8-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS = Lat15 Lat2
VGA12-CODESETS = Lat15 Lat2
VGA14-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS = Lat15

VGA28x16-CODESETS = $(VGA14-CODESETS)
VGA32x16-CODESETS = $(VGA16-CODESETS)

Arabic-legacy14-BDFS = legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS = arabic_vga.bdf+u_vga16.bdf+legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS = legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS = legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS = u_vga16.bdf+legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS = legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS = legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS = legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS = legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS = u_vga16.bdf+legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS = legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS = legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS = legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS = legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS = u_vga16.bdf+legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS = legacy19a.bdf
Lat15-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS = legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS = legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS = legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS = u_vga16.bdf+legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS = legacy8f.bdf+legacy8i.bdf+legacy8b.bdf
Lat38-legacy14-BDFS = legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS = u_vga16.bdf+legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS = legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS = legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS = u_vga16.bdf+legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS = legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS = legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS = arabic_vga.bdf+u_vga16.bdf+legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS = legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

adddouble = $(subst .bdf,-double.bdf, $(1))

Arabic-legacy32x16-BDFS = $(call adddouble, $(Arabic-legacy16-BDFS))
Armenian-legacy32x16-BDFS = $(call adddouble, $(Armenian-legacy16-BDFS))
CyrAsia-legacy32x16-BDFS = $(call adddouble, $(CyrAsia-legacy16-BDFS))
CyrKoi-legacy32x16-BDFS = $(call adddouble, $(CyrKoi-legacy16-BDFS))
CyrSlav-legacy32x16-BDFS = $(call adddouble, $(CyrSlav-legacy16-BDFS))
Ethiopian-legacy32x16-BDFS = $(call adddouble, $(Ethiopian-legacy16-BDFS))
Georgian-legacy32x16-BDFS = $(call adddouble, $(Georgian-legacy16-BDFS))
Greek-legacy32x16-BDFS = $(call adddouble, $(Greek-legacy16-BDFS))
Hebrew-legacy32x16-BDFS = $(call adddouble, $(Hebrew-legacy16-BDFS))
Lao-legacy32x16-BDFS = $(call adddouble, $(Lao-legacy16-BDFS))
Lat15-legacy32x16-BDFS = $(call adddouble, $(Lat15-legacy16-BDFS))
Lat2-legacy32x16-BDFS = $(call adddouble, $(Lat2-legacy16-BDFS))
Lat38-legacy32x16-BDFS = $(call adddouble, $(Lat38-legacy16-BDFS))
Lat7-legacy32x16-BDFS = $(call adddouble, $(Lat7-legacy16-BDFS))
Thai-legacy32x16-BDFS = $(call adddouble, $(Thai-legacy16-BDFS))
Uni1-legacy32x16-BDFS = $(call adddouble, $(Uni1-legacy16-BDFS))
Uni2-legacy32x16-BDFS = $(call adddouble, $(Uni2-legacy16-BDFS))
Uni3-legacy32x16-BDFS = $(call adddouble, $(Uni3-legacy16-BDFS))
Vietnamese-legacy32x16-BDFS = $(call adddouble, $(Vietnamese-legacy16-BDFS))

Arabic-legacy28x16-BDFS = $(call adddouble, $(Arabic-legacy14-BDFS))
Armenian-legacy28x16-BDFS = $(call adddouble, $(Armenian-legacy14-BDFS))
CyrAsia-legacy28x16-BDFS = $(call adddouble, $(CyrAsia-legacy14-BDFS))
CyrKoi-legacy28x16-BDFS = $(call adddouble, $(CyrKoi-legacy14-BDFS))
CyrSlav-legacy28x16-BDFS = $(call adddouble, $(CyrSlav-legacy14-BDFS))
Ethiopian-legacy28x16-BDFS = $(call adddouble, $(Ethiopian-legacy14-BDFS))
Georgian-legacy28x16-BDFS = $(call adddouble, $(Georgian-legacy14-BDFS))
Greek-legacy28x16-BDFS = $(call adddouble, $(Greek-legacy14-BDFS))
Hebrew-legacy28x16-BDFS = $(call adddouble, $(Hebrew-legacy14-BDFS))
Lao-legacy28x16-BDFS = $(call adddouble, $(Lao-legacy14-BDFS))
Lat15-legacy28x16-BDFS = $(call adddouble, $(Lat15-legacy14-BDFS))
Lat2-legacy28x16-BDFS = $(call adddouble, $(Lat2-legacy14-BDFS))
Lat38-legacy28x16-BDFS = $(call adddouble, $(Lat38-legacy14-BDFS))
Lat7-legacy28x16-BDFS = $(call adddouble, $(Lat7-legacy14-BDFS))
Thai-legacy28x16-BDFS = $(call adddouble, $(Thai-legacy14-BDFS))
Uni1-legacy28x16-BDFS = $(call adddouble, $(Uni1-legacy14-BDFS))
Uni2-legacy28x16-BDFS = $(call adddouble, $(Uni2-legacy14-BDFS))
Uni3-legacy28x16-BDFS = $(call adddouble, $(Uni3-legacy14-BDFS))
Vietnamese-legacy28x16-BDFS = $(call adddouble, $(Vietnamese-legacy14-BDFS))

###################################################################

# $(call add_bdf, xxx+yyy+zzz) = bdf/xxx.bdf+bdf/yyy.bdf+bdf/zzz.bdf
empty =
space = $(empty) $(empty)
add_bdf = $(patsubst +%, %, \
		$(subst $(space),+, \
			$(addprefix bdf/,$(subst +, , $(1)))))

ALL_PSF_FONTS = $(sort $(foreach face, $(ALL_FACES), \
			$(addsuffix -$(face).psf, $(all-CODESETS))))

GOOD_PSF_FONTS = $(filter \
		%-Fixed13.psf %-Fixed14.psf %-Fixed15.psf \
		%-Fixed16.psf %-Fixed18.psf \
		%-Terminus12x6.psf %-Terminus14.psf %-Terminus16.psf	\
		%-Terminus22x11.psf %-Terminus24x12.psf %-Terminus20x10.psf \
		%-Terminus28x14.psf %-Terminus32x16.psf			\
		%-TerminusBold14.psf %-TerminusBold16.psf		\
		%-TerminusBold20x10.psf %-TerminusBold22x11.psf         \
		%-TerminusBold24x12.psf %-TerminusBold28x14.psf         \
		%-TerminusBold32x16.psf %-TerminusBoldVGA14.psf         \
		%-TerminusBoldVGA16.psf                                 \
		%-Goha12.psf %-Goha14.psf %-Goha16.psf \
		%-GohaClassic12.psf %-GohaClassic14.psf %-GohaClassic16.psf \
		%-VGA8.psf %-VGA14.psf %-VGA16.psf \
		%-VGA28x16.psf %-VGA32x16.psf, \
	$(PSF_FONTS))

GZIPED_GOOD_PSF_FONTS=$(addsuffix .gz, $(GOOD_PSF_FONTS))
GZIPED_PSF_FONTS=$(addsuffix .gz, $(PSF_FONTS))
GZIPED_ALL_PSF_FONTS=$(addsuffix .gz, $(ALL_PSF_FONTS))

# These fonts can be used only with framebuffer
FB_PSF_FONTS = $(filter %x6.psf %x10.psf %x11.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(FB_PSF_FONTS) : fb_option = --fb

# These fonts can be used both in text-mode and with framebuffer
NONFB_PSF_FONTS = $(filter-out %x6.psf %x10.psf %x11.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(NONFB_PSF_FONTS) : fb_option =

doubled_bdfs = $(call adddouble, $(BDFS_TO_DOUBLE))

doubled_bdfs : $(doubled_bdfs)

bdf/%-double.bdf : bdf/%.bdf
	bdfresize -f 2 -b 1 $< >$@

# Use rm soft.Makefile && make soft.Makefile in order to update soft.Makefile
include soft.Makefile
# The script 'fontcodesets' computes which codesets a font supports
soft.Makefile : $(doubled_bdfs)
	echo "PSF_FONTS = " $(sort $(foreach face, $(FACES), \

=== Keyboard/Makefile ===
--- 
+++ 
@@ -6,13 +6,16 @@
 
 gziped_ekmaps =  $(addsuffix .ekmap.gz, $(models))
 
-build-mini : $(gziped_ekmaps)
+build-mini : $(gziped_ekmaps) pc105.tree
 
 %.gz : %
 	gzip -9 <$< >$@
 
 %.ekmap : MyKeyboardNames.pl
 	./kbdcompiler $(@:%.ekmap=%) MyKeyboardNames.pl $(xkbdir) >$@
+
+%.tree : %.ekmap.gz keymaptree.use MyKeyboardNames.pl
+	./keymaptree -output $@ -useonly "$$(< keymaptree.use grep -v '^#' | xargs | sed 's/ /,/g')" -names MyKeyboardNames.pl $(@:%.tree=%)
 
 acmfiles = $(wildcard acm/*.acm)
 
@@ -52,9 +55,10 @@
 	-rm -f *~
 	-rm -f acm/*.acm.gz
 	-rm -rf compose $(compose_files)
-	-rm -rf keymaps
+	-rm -rf keymaps tree-keymaps
 	-rm -f keymaps.dir names.list
 	-rm -f $(gziped_ekmaps)
+	-rm -f *.tree
 	-rm -f MyKeyboardNames.pl
 
 .PHONY: maintainer-clean

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 .PHONY : clean
 clean:
 	dh_testdir
-	debconf-updatepo
 	$(MAKE) maintainer-clean
 	-rm -f build main_build
 	-rm -f debian/kbdnames.gz
@@ -39,8 +38,24 @@
 	install -d debian/keyboard-configuration/usr/share/console-setup/
 	cp config.kbd debian/keyboard-configuration/usr/share/console-setup/keyboard
 	dh_link -pkeyboard-configuration usr/share/console-setup/keyboard usr/share/doc/keyboard-configuration/examples/keyboard
-	dh_installinit --no-start --name keyboard-setup -- start 06 S .
+	# no upstart job for keyboard-setup
 	dh_installinit --no-start --name console-setup -- start 49 S .
+	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
+		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
+		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
+	install -m755 debian/console-setup.initramfs-hook \
+		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
+	install -m755 debian/console-setup.initramfs-top \
+		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
+	sed -e "/^OPTION=/d" \
+		< debian/console-setup.initramfs-top \
+		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
+	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
+	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
+	install -m644 debian/console-setup.apport \
+		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py
+	dh_install -pkeyboard-configuration console-setup-tty lib/udev
+	dh_installudev -pkeyboard-configuration --priority=85
 
 .PHONY : install-main
 install-main: build
@@ -49,8 +64,13 @@
 	dh_prep -pconsole-setup
 	$(MAKE) etcdir=debian/console-setup/etc \
 		prefix=debian/console-setup/usr install
-	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
 	rm -rf debian/console-setup/etc/console-setup/ckb/
+	dh_install -pconsole-setup Keyboard/pc105.tree \
+		usr/share/console-setup
+	dh_installinit --no-start --upstart-only --name console-font
+	dh_installinit --no-start --upstart-only --name setvtrgb
+	install -m 644 debian/vtrgb debian/console-setup/etc/console-setup/
+	install -m 644 debian/vtrgb.vga debian/console-setup/etc/console-setup/
 
 	install -d debian/keyboard-configuration/usr/share/console-setup/
 	rm debian/console-setup/etc/default/keyboard
@@ -143,7 +163,7 @@
 		usr/share/console-setup-mini
 	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
 		usr/share/console-setup-mini
-	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz \
+	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
 		usr/share/console-setup-mini
 	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
 		usr/share/console-setup-mini
@@ -176,28 +196,3 @@
 		usr/share/consolefonts
 	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf \
 		usr/share/consolefonts
-	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf \
-		usr/share/consolefonts
-	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf \
-		usr/share/consolefonts
-	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf \
-		usr/share/consolefonts
-	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf \
-		usr/share/consolefonts
-	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf \
-		usr/share/consolefonts
-	dh_install -pconsole-setup-fonts-udeb Fonts/Vietnamese-Fixed16.psf \
-		usr/share/consolefonts
-# console-setup-udeb
-	dh_install -pconsole-setup-udeb Keyboard/ckbcomp-mini bin
-	dh_link -pconsole-setup-udeb bin/ckbcomp-mini usr/bin/ckbcomp
-	dh_install -pconsole-setup-udeb setupcon bin
-	dh_installdirs -p console-setup-udeb usr/share/console-setup-mini
-	install -m0755  debian/keyboard-configuration.config \
-		debian/console-setup-udeb/usr/share/console-setup-mini
-	chmod a+x debian/console-setup-udeb/usr/share/console-setup-mini/keyboard-configuration.config
-	dh_install -p console-setup-udeb debian/kbdnames.gz usr/share/console-setup-mini
-	dh_installdirs -p console-setup-udeb lib/debian-installer.d
-	install -m0644 debian/console-setup-udeb.startup \
-		debian/console-setup-udeb/lib/debian-installer.d/S55console-setup
-	dh_installdirs -p console-setup-udeb usr/lib/base-installer.d
